function [config, file_info, split_info] = config_compare_feats()

% Get the base configuration
config = config_base('icra_2015_results', ...
                     '../datasets/umd-part-affordance-dataset');

% Compare different feature combinations.
config.feat_sets = {...
    % {'depth'} ...
    % {'normals'} ...
    % {'curvature'} ...
    % {'shape_index'} ...
    {'depth', 'normals'} ...
    {'depth', 'normals', 'curvature'} ...
    {'depth', 'normals', 'curvature', 'shape_index'}
    };

% Compare different HMP architectures.
config.path_sets = {...
    % {{'hmp_path_Cv1', 'layer_1'} ...
    %  {'hmp_path_Cv1', 'layer_2'}} ...
    % {{'hmp_path_Bv1', 'layer_1'} ...
    %  {'hmp_path_Cv1', 'layer_1'} ...
    %  {'hmp_path_Cv1', 'layer_2'}} ...
    {{'hmp_path_Av1', 'layer_1'}  ...
     {'hmp_path_Av1', 'layer_2'}  ...
     {'hmp_path_Cv1', 'layer_1'}  ...
     {'hmp_path_Cv1', 'layer_2'}  ...
     {'hmp_path_Cv1', 'layer_3'}} ...
    };

% File information for the dataset
file_info_cache = fullfile(config.paths.results, 'file_info_cache.mat');
if exist(file_info_cache, 'file')
    load(file_info_cache, 'file_info');
else
    file_info = make_file_info(config.paths.dataset, ...
                               config.data_info.token_expr);
    select_function = @(x) mod(str2num(x(end-7:end)), 3) == 1;
    file_info = filter_file_info(file_info, select_function);
    % save(file_info_cache, 'file_info');
end

% Dataset splits
config.split_root = 'category_split';
config.n_splits = 2;
config.split_path = fullfile(config.paths.dataset, [config.split_root '.txt']);
config.category_path = fullfile(config.paths.dataset, 'object_categories.txt');
[split_info, ~] = make_splits(config, file_info);
valid_dirs = split_info ~= 0;
file_info.subdir = file_info.subdir(valid_dirs);
split_info = split_info(valid_dirs);

end % config_compare_feats
